/* Inter */
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 300;
  src: url('font/Inter-Light.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  src: url('font/Inter-Regular.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 600;
  src: url('font/Inter-SemiBold.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  src: url('font/Inter-Bold.woff2') format('woff2');
  font-display: swap;
}

/* Vazirmatn */
@font-face {
  font-family: 'Vazirmatn';
  font-style: normal;
  font-weight: 300;
  src: url('font/Vazirmatn-Light.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Vazirmatn';
  font-style: normal;
  font-weight: 400;
  src: url('font/Vazirmatn-Regular.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Vazirmatn';
  font-style: normal;
  font-weight: 600;
  src: url('font/Vazirmatn-SemiBold.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Vazirmatn';
  font-style: normal;
  font-weight: 700;
  src: url('font/Vazirmatn-Bold.woff2') format('woff2');
  font-display: swap;
}

/* Playfair Display */
@font-face {
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 400;
  src: url('font/PlayfairDisplay-Regular.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 600;
  src: url('font/PlayfairDisplay-SemiBold.woff2') format('woff2');
  font-display: swap;
}
@font-face {
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 700;
  src: url('font/PlayfairDisplay-Bold.woff2') format('woff2');
  font-display: swap;
}

/* Global Bindings */
:root {
    --font-main: 'Inter', sans-serif;
    --font-display: 'Playfair Display', serif;
}

body {
    font-family: var(--font-main) !important;
}

h1, h2, h3, h4, h5, h6, .font-serif {
    font-family: var(--font-display) !important;
}
